/**************************************************************************//**
 *
 * Copyright 1998-2014 NetBurner, Inc.  ALL RIGHTS RESERVED
 *   Permission is hereby granted to purchasers of NetBurner Hardware
 *   to use or modify this computer program for any use as long as the
 *   resultant program is only executed on NetBurner provided hardware.
 *
 *   No other rights to use this program or it's derivatives in part or
 *   in whole are granted.
 *
 *   It may be possible to license this or other NetBurner software for
 *   use on non-NetBurner Hardware.
 *   Please contact sales@Netburner.com for more information.
 *
 *   NetBurner makes no representation or warranties
 *   with respect to the performance of this computer program, and
 *   specifically disclaims any responsibility for any damages,
 *   special or consequential, connected with the use of this program.
 *
 *---------------------------------------------------------------------
 * NetBurner, Inc.
 * 5405 Morehouse Drive
 * San Diego, California 92121
 *
 * information available at:  http://www.netburner.com
 * E-Mail info@netburner.com
 *
 * Support is available: E-Mail support@netburner.com
 *
 *****************************************************************************/

#include <predef.h>
#include <netinterface.h>
#include <tcp.h>
#include <htmlfiles.h>
#include <stdio.h>
#include <fdprintf.h>

int GetInterface( IPADDR ip );

void DynamicPageCall( int fd, const char *url )
{
    // Get the interface number from the request's TCP socket.
    int intf_num = GetInterface(GetSocketLocalAddr(fd));

    HTML_FILE_RECORD *rec = NULL;
    switch (intf_num) {
        case 1:
            rec = GetRecordFromName( "dyn_1.htm" );
            SendData(rec, fd, "dyn_1.htm");
            break;
        case 2:
            rec = GetRecordFromName( "dyn_2.htm" );
            SendData(rec, fd, "dyn_2.htm");
            break;
    }
}

void DisplayInterfaceInfo( int fd, const char *url )
{
    // Get the interface number from the request's TCP socket.
    int intf_num = GetInterface(GetSocketLocalAddr(fd));

    InterfaceBlock *pifb = GetInterFaceBlock( intf_num );
    fdiprintf( fd, "<TABLE><TR><TD><B>INTERFACE</B></TD><TD><B>%d</B></TD></TR>\r\n", intf_num );
    fdiprintf( fd, "<TR><TD>IP:</TD><TD>%I</TD></TR>\r\n", pifb->netIP );
    fdiprintf( fd, "<TR><TD>NetMask:</TD><TD>%I</TD></TR>\r\n", pifb->netIpMask );
    fdiprintf( fd, "<TR><TD>Gateway:</TD><TD>%I</TD></TR>\r\n", pifb->netIpGate );
    fdiprintf( fd, "<TR><TD>DNS:</TD><TD>%I</TD></TR>\r\n", pifb->netDNS );
    fdiprintf( fd, "<TR><TD>Method:</TD><TD><B>%s</B></TD></TR></TABLE>\r\n",
                    pifb->dhcpClient ? "DHCP" : (pifb->AutoIPC ? "AutoIP" : "Static") );
}
